# Created by pyp2rpm-3.3.1
%global pypi_name ssl-opt-out

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 5
Summary:        Opt-out of Python SSL certificate verification
Group:          Development/Python
License:        BSD
URL:            https://github.com/cchurch/ssl-opt-out
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
|Build Status| |PyPI Version| |Python Versions|SSL Opt-Out **Don't install this
package. Ever. Fix your code to explicitly verify or ignore SSL
certificates.**If you're still reading, installing this package will opt out of
*ALL* SSL certificate verification added in Python 2.7.9 and Python 3.4 and
later via PEP-0476 < This approach can serve as a quick workaround when it is
not reasonable to...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
|Build Status| |PyPI Version| |Python Versions|SSL Opt-Out **Don't install this
package. Ever. Fix your code to explicitly verify or ignore SSL
certificates.**If you're still reading, installing this package will opt out of
*ALL* SSL certificate verification added in Python 2.7.9 and Python 3.4 and
later via PEP-0476 < This approach can serve as a quick workaround when it is
not reasonable to...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# These tests needs a network connection
#check
#export PYTHONPATH=$(pwd)
#{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/ssl_opt_out.*
%{python3_sitelib}/ssl_opt_out-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.1-5.mga8
+ Revision: 1533686
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.9.1-4.mga8
+ Revision: 1444919
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 0.9.1-3.mga7
+ Revision: 1351269
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.1-2.mga7
+ Revision: 1290269
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.9.1-1.mga7
+ Revision: 1224520
- imported package python-ssl-opt-out

